ru.bitel.bgbilling.plugins.helpdesk.common.service

## Interface HelpdeskService

-     @MTOM(enabled=true)
      public interface HelpdeskService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapHolder<IdTitle,java.util.List<IdTitle>>` | `categoryMapForContract(int contractId)`
    `void` | `fileDelete(int fileId)` FileDelete("id") TODO
    `void` | `fileDownload(int fileId, int cid, javax.xml.ws.Holder<BGServerFile> serverFile, javax.xml.ws.Holder<javax.activation.DataHandler> fileData)` FileDownload("id")
    `void` | `fileUpload(java.lang.String topicId, java.lang.String filename, long size, javax.xml.ws.Holder<javax.activation.DataHandler> fileData)` было FileUpload("id","comment","filename","filedata","size")
    `int` | `messageUpdate(Message message)`
    `int` | `reserveStatusGet(int topicId)` Получение резервного статуса у топика.
    `int` | `reservStatusUpdate(int topicId, int reserveStatus)` Обновление статуса резервирования у топика.
    `int` | `topicCostUpdate(int topicId, java.math.BigDecimal sum)` Установка, обновление стоимости топика.
    `int[]` | `topicCreate(Topic topic, Message message)`
    `Topic` | `topicGet(int id, boolean loadMessages)`
    `Result<Topic>` | `topicList(int contractId, int id, java.lang.Boolean history, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title, java.lang.String message, Page page)`
    `void` | `topicMarkReadByCustomer(int contractId, int id)`
    `int` | `topicNotificationUpdate(int topicId, int mode, java.lang.String value)`
    `void` | `topicUpdateState(int contractId, int id, boolean state)`

- - ### Method Detail

    - #### reservStatusUpdate

          int reservStatusUpdate(int topicId,
                                 int reserveStatus)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException

      Обновление статуса резервирования у топика. Если устанавлиемый статус "BLOCKED", но средств на счету не достаточно, то устанавливается статус IN_WHAIT. И уже в дольнейшем будет произведена попытка заболокировать требуемую сумму.
      Parameters:
        `topicId` - - код топика.
        `reserveStatus` - - устанавливаемый статуc. смотреть значения в `HelpDeskConstants`;
      Returns:
        - кол-во изменненых строк в БД.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### reserveStatusGet

          int reserveStatusGet(int topicId)
                        throws ru.bitel.bgbilling.common.BGException

      Получение резервного статуса у топика.
      Parameters:
        `topicId` - - ид топика.
      Returns:
        - статусы из `HelpDeskConstants`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicCostUpdate

          int topicCostUpdate(int topicId,
                              java.math.BigDecimal sum)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException

      Установка, обновление стоимости топика. При дальнейшем переводе на сервайсы заменить обычным обновлением топика.
      Parameters:
        `topicId` - - ид топика.
        `sum` - - устанавливамя стоимость.
      Returns:
        - кол-во измененных строк в БД.
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### topicNotificationUpdate

          int topicNotificationUpdate(int topicId,
                                      int mode,
                                      java.lang.String value)
                               throws ru.bitel.bgbilling.common.BGException,
                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### fileDelete

          void fileDelete(int fileId)
                   throws ru.bitel.bgbilling.common.BGException

      FileDelete("id") TODO
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### fileDownload

          void fileDownload(int fileId,
                            int cid,
                            javax.xml.ws.Holder<BGServerFile> serverFile,
                            javax.xml.ws.Holder<javax.activation.DataHandler> fileData)
                     throws ru.bitel.bgbilling.common.BGException

      FileDownload("id")
      Parameters:
        `fileId` - ид файла
        `cid` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### fileUpload

          void fileUpload(java.lang.String topicId,
                          java.lang.String filename,
                          long size,
                          javax.xml.ws.Holder<javax.activation.DataHandler> fileData)
                   throws ru.bitel.bgbilling.common.BGException

      было FileUpload("id","comment","filename","filedata","size")
      Parameters:
        `topicId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### categoryMapForContract

          MapHolder<IdTitle,java.util.List<IdTitle>> categoryMapForContract(int contractId)
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicCreate

          int[] topicCreate(Topic topic,
                            Message message)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicGet

          Topic topicGet(int id,
                         boolean loadMessages)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicList

          Result<Topic> topicList(int contractId,
                                  int id,
                                  java.lang.Boolean history,
                                  java.util.Date dateFrom,
                                  java.util.Date dateTo,
                                  java.lang.String title,
                                  java.lang.String message,
                                  Page page)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicMarkReadByCustomer

          void topicMarkReadByCustomer(int contractId,
                                       int id)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### topicUpdateState

          void topicUpdateState(int contractId,
                                int id,
                                boolean state)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### messageUpdate

          int messageUpdate(Message message)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`